getservbyname
header_register_callback
Network Functions
PHP Manual

# getservbyport

Get Internet service which corresponds to port and protocol

### Description

string getservbyport ( int `$port` , string `$protocol` )

getservbyport returns the Internet service associated with `port` for the specified `protocol` as per /etc/services.

### Parameters

`port`

  The port number.

`protocol`

  `protocol` is either "tcp" or "udp" (in lowercase).

### Return Values

Returns the Internet service name as a string.

### See Also

- getservbyname